Bug 474046 - gnome-volume-manager can't find gnome-open
gnome-volume-manager can't find gnome-open
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-volume-manager (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Zeuthen
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 15:52 EST by Ian Pilcher
Modified: 2013-04-12 15:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 14:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add G_SPAWN_SEARCH_PATH flag to g_spawn_async call (391 bytes, patch)
2008-12-01 15:52 EST, Ian Pilcher
no flags Details | Diff

  None (edit)
Description Ian Pilcher 2008-12-01 15:52:45 EST
Created attachment 325295 [details]
Add G_SPAWN_SEARCH_PATH flag to g_spawn_async call

Description of problem:
At line 1211 of manager.c, the g_spawn_async call does not include the
G_SPAWN_SEARCH_PATH flag, so it fails to find the gnome-open executable.

Version-Release number of selected component (if applicable):
gnome-volume-manager-2.15.0-5.el5

How reproducible:
100%

Steps to Reproduce:
1.  Configure gnome-volume-manager (gnome-volume-properties) to auto-open
2.  Log out/log in to GNOME (non-root)
3.  Plug in USB thumbdrive with properly crafted autoopen file
  
Actual results:
gnome-volume-manager fails to exec gnome-open

Expected results:
gnome-volume-manager should exec gnome-open to open the appropriate
"viewer" application

Additional info:
Comment 1 RHEL Product and Program Management 2009-03-26 13:22:53 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 RHEL Product and Program Management 2009-12-14 17:48:04 EST
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.